% function out1=vp_fixoriginspro(namelst, neworigin)
% Reset ScAnVP ANALYZE header Origins.
%_______________________________________________________________________
% out1:  Return status
%_______________________________________________________________________
% vp_fixoriginspro		C.4.7.8 	P. Spetsieris	9/3/02

function out1=vp_fixoriginspro(namelst, neworigin)

global DIM VOX SCALE TYPE OFFSET ORIGIN DESCRIP GLMAX GLMIN
global EXPTIM DURATION MATYPE Message GENTIM SUBID EXPDATE
global HelpMode

if HelpMode, vp_help(mfilename), return ; end;

out1=0;

m= size(namelst,1);

neworigin,

for i=1:m
  	FName=deblank(namelst(i,:));
  	%P=strtok(FName,'.');
	P=vp_nm('dnm',FName);
	
	vp_hread([P '.hdr']);
	
	out1=vp_hwrite(FName,DIM,VOX,SCALE,TYPE,OFFSET,neworigin,DESCRIP,...
		EXPTIM,DURATION,GENTIM,SUBID,EXPDATE,GLMAX,GLMIN);
		
	if out1 < 0,
		vp_message('Invalid Write Operation'); return;
	end
end 

if m > 0, 
  vp_message(['Origin X Y Z Reset for ',num2str(m),' files']);
else,
  out1=-1;
  vp_message('Empty File Set');
end;
