function [out1] = vp_roidisp(action, in1, in2)
%_______________________________________________________________________
% vp_roidisp.m  		C.0 Phoebe Spetsieris  Jan. 25 1999
% Read or Write Roi Data

global ActRoi LabIds LabNames ActHand Picking

out1=0;
bkgcolor=[0 0.9 0.9 ];

if strcmp(action,'glabel') 
%	udata=get(hand,'UserData');
%	ActRoi=udata(1);
	Picking='OFF';
	
	hroigui=findobj('Name','gROIgui');
	set(hroigui,'Visible','off'); 
       
	hlabelgui=findobj('Name','LABELgui');
	set(hlabelgui,'Visible','on'); 
       
      
      
elseif strcmp(action,'rlabel') 
	udata=get(ActHand,'UserData');
	ActRoi=udata(1)
	
	hroigui=findobj('Name','gROIgui');
	set(hroigui,'Visible','off'); 
       
        hlab = figure('Color','w','Name','Label',...
	'NumberTitle','off','Position',[100,200,200,40],...
	'Units','Pixels','Visible','on');
	
	axis off;
	
	text(0.5,.92, num2str(ActRoi),...
	'FontName','Times','FontSize',10,...
	'VerticalAlignment','Middle',...
	'HorizontalAlignment','Center',...
	'Color',[1 0 1]*.9);

	text(0.5,.82, LabNames(ActRoi,:),...
	'FontName','Times','FontSize',10,...
	'VerticalAlignment','Middle',...
	'HorizontalAlignment','Center',...
	'Color',[0 0 1]*.9);
	
	text(0.5,.72, 'Relabel ?',...
	'FontName','Times','FontSize',10,...
	'VerticalAlignment','Middle',...
	'HorizontalAlignment','Center',...
	'Color',[0 0 1]*.9);
	
        uicontrol(hlab,'String','YES',...
	'Position',[100 15 40 25],...
	'CallBack',['set(findobj(''Name'',''gROIgui''),''Visible'',''on''); ',...
	'vp_roidisp(''glabel''); delete(hlab);'] );
       
        uicontrol(hlab,'String','NO',...
	'Position',[140 15 40 25],...
	'CallBack',['set(findobj(''Name'',''gROIgui''),''Visible'',''on''); ',...
	'delete(hlab);'] );
       
	
end	




