% vp_roilab
%_______________________________________________________________________
% vp_roilab.m  		C.0 Phoebe Spetsieris  Jan. 25 1999
% Read Roi Label

global ActRoi RoiTyp LabIds LabNames Picking Thresholds

TxColor=[0.6 0.2 1];
%Picking='OFF';
      
	
% Blink off other rois
	lh=findobj('Tag','roi');
	nr=size(lh);
	for i=(1:nr(1))
		if lh(i)~=gco
    			set(lh(i),'Color',[1 1 1],'LineWidth',[0.5]);
		end
	end
	
	hroigui=findobj('Name','gROIgui');
	set(hroigui,'Visible','off'); 
       
	delete(findobj('Name','ReLabel'));
	
        hlab = figure('Color','w','Name','ReLabel',...
	'NumberTitle','off','Position',[100,200,280,80],...
	'Units','Pixels','Visible','on');
	
	axis off;
	
        textstr=strcat('No. ',num2str(ActRoi));
	if RoiTyp == 'e', type ='Elliptical';
	elseif RoiTyp=='r', type = 'Rectangular';
	else type= 'Irregular';
	end
        textstr=['No. ',num2str(ActRoi),'  ',type];
	text(0.0,.92, textstr,...
	'FontName','Times','FontSize',10,...
	'VerticalAlignment','Middle',...
	'HorizontalAlignment','Left',...
	'Color',TxColor);

	labname=deblank(LabNames(ActRoi,:));
	labid=deblank(LabIds(ActRoi,:));
	textstr=['Label :   ',labid,'    ',labname];
	text(0.0,.70, textstr,...
	'FontName','Times','FontSize',10,...
	'VerticalAlignment','Middle',...
	'HorizontalAlignment','Left',...
	'Color',TxColor);
	
        uicontrol(hlab,'String','RELABEL',...
	'Position',[35 20 55 20],...
	'CallBack',['set(findobj(''Name'',''gROIgui''),''Visible'',''on''); ',...
	'vp_roidisp(''glabel''); delete(findobj(''Name'',''ReLabel''));',...
	'Picking=''ON'';'] );
       
        uicontrol(hlab,'String','OK',...
	'Position',[145 20 40 20],...
	'CallBack',['set(findobj(''Name'',''gROIgui''),''Visible'',''on''); ',...
	'delete(findobj(''Name'',''ReLabel''));',...
	'Picking=''ON''; vp_aniroi stop;'] );
       
	



