function vp_spmtransui(SSM,VOL,hReg,junk1)
% vp_spmtransui.m
% spm translices interface
% FORMAT vp_spmtransui;
%
%__________________________________________________________________________
% Set the number of multiple transverse slices
% 				- by Phoebe Spetsieris Jun. 3, 1999


% Check any of these cases and pass on to vp_spmtranslices routine

if ~isstruct(SSM) & strcmp(lower(SSM),'setcoords'),
	vp_spmtranslices(SSM,VOL,hReg);
	return;
end;
if ~isstruct(SSM) & strcmp(lower(SSM),'clear'),
	vp_spmtranslices(SSM,VOL,hReg);
	return;
end;
%_______________________________________________________________________
%_______________________________________________________________________


transgui=findobj('Name','translices');
if ~isempty(transgui)
	if(strcmp(get(transgui,'Visible'),'on'))
		figure(transgui);
	end
	return
end

transgui = figure('Color','w','Name','translices',...
'NumberTitle','off','Position',[100,200,200,40],...
'Pointer','Arrow','Units','Pixels');
	

uicontrol(transgui,'String','35 Slices',...
	'Position',[10 10 60 25],...
	'CallBack',[' ',...
	'set(gcf,''Pointer'',''watch''); ',...
	'vp_spmtranslices(SSM,VOL,hReg,35);',...
	'delete(findobj(''Name'',''translices''));']);
	
uicontrol(transgui,'String','70 Slices',...
	'Position',[70 10 60 25],...
	'CallBack',[' ',...
	'set(gcf,''Pointer'',''watch'');',...
	'vp_spmtranslices(SSM,VOL,hReg,70);',...
	'delete(findobj(''Name'',''translices''));']);
	

uicontrol(transgui,'String','RETURN',...
	'Position',[130 10 60 25],...
	'CallBack',['delete(findobj(''Name'',''translices''));']);


