% vp_thmin.m
% Get Threshold Minimum Value
%__________________________________________________________________________
% vp_thmin.m	C.4.4 	P. Spetsieris	 Jan. 10, 2000

global herror Message Ecolor 

global FixedThMin herror hslider


thmingui=findobj('Name','thmingui');
if ~isempty(thmingui)
	if(strcmp(get(thmingui,'Visible'),'on'))
		figure(thmingui);
	end
	return
end


roigui=findobj('Name','GROUP ROIgui');
if ~isempty(roigui)
	set(roigui,'Visible','off');
end


Message0=['MSG: ............................................ '];
Message=Message0;

frmcolor=[0.5 0.7 0.8];

thmingui = figure('Color',frmcolor,'Name','thmingui',...
'NumberTitle','off','Position',[100,370,180,50],...
'Units','Pixels');
	
Bcolor = [.8,1,1];

cbFixedThMin=['FixedThMin=str2num(get(hFixedThMin,''string'')); '];


uicontrol(thmingui,'Style','text','string', 'THRESHOLD MINIMUM VALUE',...
	'position',[10 25 160 20],'BackgroundColor',frmcolor);
	
	
hFixedThMin=uicontrol(thmingui,'style','edit','string',num2str(FixedThMin),...
	'position',[15 05 70 25],'BackgroundColor',Bcolor,'callback',cbFixedThMin);


uicontrol(thmingui,'String','RETURN',...
	'Position',[105 05 60 25],...
	'CallBack',['delete(gcbf); ',...
	'roigui=findobj(''Name'',''GROUP ROIgui'');',...
	'if ~isempty(roigui), set(roigui,''Visible'',''on''); end;']);
	
	
