function vp_animask(action)
%_______________________________________________________________________
% vp_animask.m  		C.0 Phoebe Spetsieris  Dec., 1998
% Mask Roi Animation Routines
%_______________________________________________________________________

global Xr Yr RoiNo RoiTyp RoiWid RoiHgt Lh RoiChoice herror Message

%xdata=get(Lh,'XData') ;
%ydata=get(Lh,'YData') ;

%RoiWid=xdata(2)-xdata(1) ;
%RoiHgt=ydata(3)-ydata(1) ;

hmaskmenu=findobj('Tag','MaskMenu');
Message=['MSG ......................'];
set(herror,'string',[' ',Message]);
out1=0;

switch(action)
   case 'pick',
%    RoiChoice=menu('move','reshape','delete')
    if RoiChoice == 1
      set(gco,'Color',[0 1 1],'LineWidth',[2.0]);
      set(gcbf,'WindowButtonMotionFcn','vp_animask move');
      set(gcbf,'WindowButtonUpFcn','vp_animask stop');
      set(hmaskmenu,'Visible','off','Enable','off','Value',1);
    elseif RoiChoice == 2
      set(gco,'Color',[0 1 1],'LineWidth',[2.0]);
      set(gcbf,'WindowButtonMotionFcn','vp_animask reshape');
      set(gcbf,'WindowButtonUpFcn','vp_animask stop');
      set(hmaskmenu,'Visible','off','Enable','off','Value',2);
    else
    	set(gcbf,'WindowButtonMotionFcn','');
    	set(gcbf,'WindowButtonUpFcn','');
	%if(RoiChoice == 3)delete(Lh);
	if(RoiChoice == 3)delete(gco);
	   RoiNo= RoiNo-1;
	   if(RoiNo == 0)
      	   	set(hmaskmenu,'Visible','off','Enable','off');
	   else 	
      	   	set(hmaskmenu,'Visible','on','Enable','on');
	   end;
	end;
    end ;
   case 'move',
	currpt=get(gca,'CurrentPoint');
	Xr=currpt(1,1);
	Yr=currpt(1,2);
	xdata=get(gco,'XData') ;
	ydata=get(gco,'YData') ;
	%if(RoiTyp=='r')
 	  %RoiWid=xdata(2)-xdata(1);
	  %RoiHgt=ydata(1)-ydata(3);
	  %x=[Xr Xr+RoiWid Xr+RoiWid Xr Xr] ;
	  %y=[Yr Yr Yr-RoiHgt Yr-RoiHgt Yr] ;
	%elseif(RoiTyp=='i') 
	  len=length(xdata);
	  np=1;
	  distp = sqrt((xdata(1)-Xr)^2 + (ydata(1)-Yr)^2);
	  for i=1+1:len
	    dist(i)=sqrt((xdata(i)-Xr)^2 + (ydata(i)-Yr)^2);
	    if(dist(i) < distp)np=i; distp=dist(i); end;
	  end	
	  %for i=1:len-1
	   %xdif(i)=xdata(i+1)-xdata(i);
	   %ydif(i)=ydata(i+1)-ydata(i);
	  %end
	  x=xdata; y=ydata;
	  dx=Xr-x(np); dy=Yr-y(np);
  	  %x(np)=Xr; y(np)=Yr;
	  for i=1:len
	  	x(i)=x(i)+dx; y(i)=y(i)+dy;
	  end
	  %for i=np+1:len
	  % x(i)=x(i-1)+xdif(i-1);
	  % y(i)=y(i-1)+ydif(i-1);
	  %end
	  %if(np > 1)
	  % for i=np-1:-1:1
	  %   x(i)=x(i+1)-xdif(i);
	  %   y(i)=y(i+1)-ydif(i);
	  % end
	  %end
	%end
	
	%set(Lh,'XData',x,'YData',y);
	set(gco,'XData',x,'YData',y);
	if(RoiTyp=='e')
		udata=get(gco,'UserData');
		x0=udata(1)+dx;y0=udata(2)+dy;
		xr=udata(3)+dx;yr=udata(4)+dy;r2=udata(5);
		set(gco,'UserData',[x0 y0 xr yr r2]);
	end
		
   case 'reshape',
	currpt=get(gca,'CurrentPoint') ;
	Xr=currpt(1,1);
	Yr=currpt(1,2);
	xdata=get(gco,'XData') ;
	ydata=get(gco,'YData') ;
	len=length(xdata);
	np=1;
	distp = sqrt((xdata(1)-Xr)^2 + (ydata(1)-Yr)^2);
	for i=1+1:len
	    dist(i)=sqrt((xdata(i)-Xr)^2 + (ydata(i)-Yr)^2);
	    if(dist(i) < distp)np=i; distp=dist(i); end;
	end	
	
	if(RoiTyp == 'r')
	  x1=xdata(1) ; y1=ydata(1) ;
	  x2=xdata(3) ; y2=ydata(3) ;
	  if (np==1 | np==5)
	  	x1=Xr ; y1=Yr ;
	  elseif (np==2)
	  	x1=Xr ; y2=Yr ;
	  elseif (np==3)
	  	x2=Xr ; y2=Yr ;
	  elseif (np==4)
	  	x2=Xr ; y1=Yr ;
	  end	
		
	  x=[x1 x1 x2 x2 x1];
	  y=[y1 y2 y2 y1 y1];
	  %RoiWid=xdata(2)-Xr ;
	  %RoiHgt=Yr - ydata(3) ;
	  %if(RoiWid < 0)RoiWid = 0 -RoiWid; end;
	  %if(RoiHgt < 0)RoiHgt = 0 -RoiHgt; end;
	  %x=[Xr Xr+RoiWid Xr+RoiWid Xr Xr] ;
	  %y=[Yr Yr Yr-RoiHgt Yr-RoiHgt Yr] ;
	elseif(RoiTyp == 'e')
		udata=get(gco,'UserData');
		x0=udata(1);y0=udata(2);
		xr=udata(3);yr=udata(4);r2=udata(5);
		[r1,dmp]=vp_graphics('dist',x0,y0,xr,yr,0);
		[rp,dmp]=vp_graphics('dist',x0,y0,Xr,Yr,0);
		if abs(rp-r1) < abs(rp-r2) 
			r1=rp;
		else
			r2=r1; r1=rp;
		end
		[x,y,out1,Message]=vp_graphics('elli',x0,y0,Xr,Yr,r2);
		if out1 >=0,
		  set(gco,'UserData',[x0 y0 Xr Yr r2]);
		else
			Message,
			set(herror,'string',[' ',Message]);
		end
		
		%x2= xr + Xr -xdata(np) ;
		%y2= yr + Yr -ydata(np) ;
		%x1= xdata(1) + Xr -xdata(np) ;
		%y1= ydata(1) + Yr -ydata(np) ;
		%[r2,dmp]=vp_graphics('dist',x0,y0,x1,y1,0);
		%[x,y]=vp_graphics('elli',x0,y0,x2,y2,r2);
		%set(gco,'UserData',[x0 y0 x2 y2 r2]);
		
	else
	 x=xdata;  y=ydata; x(np)=Xr; y(np)=Yr;
	 if(np==1)x(len)=Xr; y(len)=Yr;
	 elseif(np==len)x(1)=Xr; y(1)=Yr;
	 end;
	end;
	%set(Lh,'XData',x,'YData',y);
	if out1 >=0,
		set(gco,'XData',x,'YData',y);
	end
   case 'stop',
    set(gco,'Color',[1 1 1],'LineWidth',[0.5]);
    set(gcbf,'WindowButtonMotionFcn','');
    set(gcbf,'WindowButtonUpFcn','');
    set(hmaskmenu,'Visible','on','Enable','on');
end
	
