% ScAnVP Menu Help Button
%
% HELP Mode ON/OFF is a button which operates like a switch on the ScAnVP menu.
% When ON, help is displayed in the Matlab Help window when a task
% is picked on the ScAnVP main menu. The help is the description
% of the Matlab routine found at the start of each .m file. The information
% may include the time the original version of this routine was created.
% When OFF ScAnVP tasks run in the normal mode.
%
% An independent 'help' button is provided on many application menus as well.
% If a routine is already running when Help is switched ON on the main
% menu, some of the buttons on a submenu may provide additional help but 
% caution must be exercised if the user does not wish to interrupt the main 
% operation of the routine.
%
%
	vp_help(mfilename); return;
	
% P. Spetsieris,	ScAnVP Ver. C.4.5 3/08/2000
% Revised by P.S. ScAnVP Ver. 7.0, 10/28/2015 