function vp_message(message);
% vp_message.m
% Displays last ScAnVP and Matlab message
%
% FORMAT vp_message(message);
%___________________________________________________________________________
% vp_message.m	C.4.4	P. Spetsieris  Jan. 3, 2000

global Ecolor Message HelpMode

if HelpMode, vp_help(mfilename), return ; end;

Message=message;

disp(message);
delete(findobj('Name','Message'));

msgwid=8*(length(message)+13)+10;
msgwid=max(msgwid,360);

fmsg = figure('Color','w','Name','Message',...
'NumberTitle','off','Position',[100,200,msgwid+10,75],...
'Units','Pixels') ;
	
uicontrol(fmsg,'String','OK',...
	'Position',[(msgwid/2)-10 50 30 20],...
	'CallBack',['delete(findobj(''Name'',''Message''));']);
	

herror = uicontrol(fmsg,'string', ['ScAnVP Msg:  ', message],...
	'position',[05 25 msgwid 20],...
	'Callback','set(gco,''string'',get(gco,''string''))',...
	'BackgroundColor',Ecolor);

herror1 = uicontrol(fmsg,'string', 'Get Matlab Last Err  @ ',...
	'position',[05 05 msgwid 20],...
	'Callback','set(gco,''string'',[''Matlab Last Err: '',lasterr])');
%	'BackgroundColor',Ecolor);

	


