function [out1]=roicb(action)
%_______________________________________________________________________
% vp_roicb.m  		C.0 Phoebe Spetsieris  Nov. 1998
%_______________________________________________________________________

global FI RoiNo RoiTyp RegDef RoiAng Lh RoiChoice RoiWid RoiHgt Xr Yr
global ActRoi ActHand Thresholds RoiThresh RoiDiam VOX Message herror

hroi=findobj('Tag','roied');
himage=findobj('Tag','image');
hroimenu=findobj('Tag','RoiMenu');

Xr=RegDef(2);
Yr=RegDef(3) ;
RoiWid = RegDef(4) ;
RoiHgt = RegDef(5) ;
x=[Xr Xr+RoiWid Xr+RoiWid Xr Xr] ;
y=[Yr Yr Yr-RoiHgt Yr-RoiHgt Yr] ;
RoiNo = RoiNo+1;
ActRoi= RoiNo;
tag=['roi'];
out1=0;
Message=['MSG ........................'];
set(herror,'string',[' ',Message]);

switch(action)

   case 'r',
   	RoiTyp='r';
	RoiChoice=1;
	set(hroi,'string',RoiTyp);
	%tag=['rec',num2str(RoiNo)];
	figure(himage);
	%x=[Xr Xr+RoiWid Xr+RoiWid Xr Xr] ;
	%y=[Yr Yr Yr-RoiHgt Yr-RoiHgt Yr] ;
	%button=0 ;
	%npts=0;
	%for npts =1:2
  	%   [Xr,Yr,button]=ginput(1);
	%   if npts==1, x0=Xr; y0=Yr; 
	%   elseif(Xr==x0 & Yr==y0), npts=npts-1; end;
	%end
	rect=getrect(FI);
	x0=rect(1); y0=rect(2); Xr=x0+rect(3); Yr=y0+rect(4);
	x=[x0 x0 Xr Xr x0];
	y=[y0 Yr Yr y0 y0];
	Lh=line(x,y,'Tag',tag,'erase','xor','color',[1 1 1],...
	'UserData',[RoiNo 1],...
	'ButtonDownFcn',['RoiTyp = ''r''; vp_aniroi pick']);
	set(hroimenu,'Visible','on','Enable','on','Value',1);
	
   case 'e',
   	RoiTyp='e';
	RoiChoice=1;
	set(hroi,'string',RoiTyp);
	%tag=['ell',num2str(RoiNo)]
	figure(himage);
	npts=0;
	for npts =1:2
  	   [Xr,Yr,button]=ginput(1);
	   if npts==1, x0=Xr; y0=Yr; 
	   elseif(Xr==x0 & Yr==y0), npts=npts-1; end;
	end
	%r2=sqrt(abs(Xr-x0)^2 + abs(Yr-y0)^2);
	[r2,dmp]=vp_graphics('dist',x0,y0,Xr,Yr,0);
	%r2=round(r2/2);
	r2=r2/2;
	%elli=vp_ellipse(x0,y0,Xr,Yr,r2);
	[x,y,out1,Message]=vp_graphics('elli',x0,y0,Xr,Yr,r2);
	%x=elli(1,:);
	%y=elli(2,:);
	if out1 < 0, Message,
	else
	   Lh=line(x,y,'Tag',tag,'erase','xor','color',[1 1 1],...
		'UserData',[RoiNo 2 x0 y0 Xr Yr r2],...
		'ButtonDownFcn',['RoiTyp=''e''; vp_aniroi pick']);
	end
	set(hroimenu,'Visible','on','Enable','on','Value',1);
	
   case 'c',
   	RoiTyp='e';
	RoiChoice=1;
	set(hroi,'string',RoiTyp);
	figure(himage);
  	[x0,y0,button]=ginput(1);
	r2=(RoiDiam/(2*VOX(1))); %mm/pixel
	Xr=x0+r2; Yr=y0;
	%Xr=x0; Yr=y0+r2;
	[x,y,out1,Message]=vp_graphics('circ',x0,y0,r2);
	if out1 < 0, Message,
	else
	  Lh=line(x,y,'Tag',tag,'erase','xor','color',[1 1 1],...
		'UserData',[RoiNo 2 x0 y0 Xr Yr r2],...
		'ButtonDownFcn',['RoiTyp=''e''; vp_aniroi pick']);
	end
	set(hroimenu,'Visible','on','Enable','on','Value',1);
	
   case 'i',
   	RoiTyp='i';
	RoiChoice=1;
	set(hroi,'string',RoiTyp);
	%tag=['irr',num2str(RoiNo)] ;
	figure(himage);
	npts=0;
	
	%button=0 ;
	%while button ~= 3
  	%   [Xr,Yr,button]=ginput(1);
	%   npts= npts+1;
	%   x(npts)=Xr; y(npts)=Yr;
	%   if npts==1, x0=Xr; y0=Yr;
	%   elseif(Xr==x0 & Yr==y0), button=3; end;
	%end;
	%if npts >  2
	%[bw,x,y]=roipoly;
	[x,y]=getline(FI,'closed') ;
	  %if(Xr ~= x0 & Yr ~= y0)
	  %  npts = npts + 1;
	  %   x(npts)=x0; y(npts)=y0;
	  %end
	  Lh=line(x,y,'Tag',tag,'erase','xor','color',[1 1 1],...
		'UserData',[RoiNo 3],...
		'ButtonDownFcn',['RoiTyp=''i''; vp_aniroi pick']);
	%end
	set(hroimenu,'Visible','on','Enable','on','Value',1);
	
end


ActHand=Lh;
Thresholds(RoiNo)=RoiThresh;

if out1 >=0
  vp_roidisp('glabel');

else
	set(herror,'string',[' ',Message]);
end
