function [out1, Message]=vp_roirpt(action,in1,in2)
%_______________________________________________________________________
% vp_roirpt.m  		C.0 Phoebe Spetsieris  Feb. 24 1999
% Roi statistics save report 

global LabIds LabNames Thresholds PlaneNo
global FName Message herr herror hed fname hnext
global DIM VOX ORIGIN GMIN GMAX

out1=0;
Message=['...........................'];

if strcmp(action,'figure') 
  delete(findobj('Name','Save Rois'));
       
  udata=0;
  
  hsavr = figure('Color','w','Name','Save Rois',...
	'NumberTitle','off','Position',[100,200,340,70],...
	'Pointer','arrow','UserData',[0],...
	'Units','Pixels','Visible','on');
	
  axis off;
	
  uicontrol(hsavr,'String','CANCEL',...
	'Position',[260 40 70 20],...
	'TooltipString','Do not save, return to the previous display',...
	'callback',[' ',...
	'delete(findobj(''Name'',''Save Rois''));']);

%	'delete(gcbf);']);
	
       
elseif strcmp(action,'save0') 
  fname=[FName '.' num2str(PlaneNo) '.roi'];
  [out1, Message]=vp_roirpt('plane',fname);

elseif strcmp(action,'save') 

  fname=[FName '.' num2str(PlaneNo) '.roi'];
  
  vp_roirpt('figure');

  hsavr=findobj('Name','Save Rois');
  
  cbsavedit=['fname=get(gcbo,''string''); ',...
  	'set(gcbf,''Pointer'',''watch''); ',...
  	'[out1, Message]=vp_roirpt(''plane'',fname); ',...
  	'set(gcbo,''string'',Message); ',...
	'pause(1);',...
  	'set([herr,herror],''string'',Message); ',...
	'set(gcbf,''Visible'',''off'');']; 

%	'delete(gcbf)']; 
	
       
  text(0,40,'File Name (*.roi) ','Units','pixels','FontWeight','bold');

  hed=uicontrol(hsavr,'style','edit','string',fname,...
	'position',[10 10 325 25],'BackgroundColor',[0.9 .9 1.0],'callback',cbsavedit);
	
       
%  text(0,40,'Roi FName :','Units','pixels','FontWeight','bold');
% uicontrol(hsavr,'style','edit','string',[FName num2str(PlaneNo) '.roi'],...
% hed=uicontrol(hsavr,'style','edit','string',fname,...
%	'position',[125 35 215 25],'BackgroundColor',[0.9 .9 1.0],'callback',cbsavedit);
	
% uicontrol(hsavr,'String','SAVE',...
%	'Position',[45 10 80 20],...
%	'callback',[' ',...
%	'set(gcbf,''Pointer'',''watch''); ',...
%	'[out1, Message]=vp_roirpt(''plane'',fname); ',...
%	'set(hed,''string'',Message); ',...
%	'pause(1);',...
%	'set([herr,herror],''string'',Message); ',...
%	'set(gcbf,''Pointer'',''arrow''); ',...
%	'set(gcbf,''Visible'',''off'');']); 
	
%	'delete(gcbf)']); 
	
	
elseif strcmp(action,'open') 
	%q=max([find(in1=='\') 0]);
	%roifilnm=[in1(1:q) num2str(PlaneNo) in1(q+1:length(in1)) '.roi']
	out1 = fopen(in1,'wt');
	if out1 <= 0, Message=['SAVE REPORT: fopen error'], return; end;

elseif strcmp(action,'abort') 
	out1 = fclose(in1) ;
	if out1 ~= 0, Message=['SAVE REPORT: fclose error'], return; end;
	q=max([find(in2=='\') 0]);
	roifilnm=[in2(1:q) num2str(PlaneNo) in2(q+1:length(in2)) '.roi']
	doscd=['del ' roifilnm];
	out1=dos(doscd);
	Message=['SAVE REPORT: aborted']
	
elseif strcmp(action,'close') 
	out1 = fclose(in1) ;
	if out1 ~= 0, Message=['SAVE REPORT: fclose error']; return; end;
	
elseif strcmp(action,'savexit') 

  vp_roirpt('figure');

  hsavr=findobj('Name','Save Rois');
  fname=[FName '.' num2str(PlaneNo) '.roi'];
	
  cbnext= ['delete(findobj(''Tag'',''roi''));',...
  	'delete(findobj(''Name'',''gROIgui''));',...
  	'delete(findobj(''Name'',''REPORT''));',...
  	'delete(findobj(''Name'',''Statistics''));',...
  	'delete(findobj(''Name'',''ReLabel''));',...
  	'delete(findobj(''Name'',''ReThresh''));',...
  	'delete(findobj(''Name'',''Threshold MAP''));',...
  	'delete(findobj(''Name'',''LABELgui''));',...
	'delete(gcbf);',...
	'set(roigui,''Visible'',''on'');'];
	
%	'vp_roi'];

 hnext= uicontrol(hsavr,'String','SKIP/NEXT',...
	'TooltipString','Do not save, go to next image or plane.',...
	'Position',[160 40 90 20],...
	'callback',cbnext);
       
%  	'set(hnext,''string'',''NEXT PLANE/IMAGE''); '
  cbsavedit=['fname=get(gcbo,''string''); ',...
  	'set(gcbf,''Pointer'',''watch''); drawnow; ',...
  	'[out1, Message]=vp_roirpt(''plane'',fname); ',...
  	'set(gcbo,''string'',Message); ',...
  	'set(gcbf,''Pointer'',''arrow''); ',...
  	'set([herror],''string'',Message); '];
	
  text(0,40,'File Name (*.roi) ','Units','pixels','FontWeight','bold');

  hed=uicontrol(hsavr,'style','edit','string',[FName '.' num2str(PlaneNo) '.roi'],...
	'TooltipString','Enter return to save rois in template file',...
	'position',[10 10 325 25],'BackgroundColor',[0.9 .9 1.0],'callback',cbsavedit);
	
%PS  text(0,40,'Roi FName :','Units','pixels','FontWeight','bold');
%PS  hed=uicontrol(hsavr,'style','edit','string',[FName num2str(PlaneNo) '.roi'],...
%PS	'position',[125 35 215 25],'BackgroundColor',[0.9 .9 1.0],'callback',cbsavedit);
	
        
%  uicontrol(hsavr,'String','SAVE',...
%	'Position',[45 10 80 20],...
%	'callback',[' ',...
%	'set(gcbf,''Pointer'',''watch''); ',...
%	'[out1, Message]=vp_roirpt(''plane'',fname); ',...
%	'set(hed,''string'',Message); ',...
%	'set(gcbf,''Pointer'',''arrow''); ',...
%	'pause(1);',...
%	'set(herror,''string'',Message); ']);
	
elseif strcmp(action,'read') 

	[out1, Message]=vp_readrpt(in1);
%	if out1< 0, vp_message(Message); end;
	
elseif strcmp(action,'plane') 

  %roifname=in1;
  %fp=vp_roirpt('open',roifname);
  %if fp <=0, out1=fp;, return, end;
  
  fp = fopen(in1,'wt');
  if fp <= 0, Message=['SAVE REPORT: fopen error'], return; end;
  
  
  lh=findobj('Tag','roi');
  
  if isempty(lh)
  	Message=['SAVE REPORT: No Rois Found'];
	out1=-1;
  return, end;
  
  nr=size(lh);
  
   fprintf(fp,'\n');
   %fprintf(fp,'ROI STATISTICS %s\n\n',FName);
   fprintf(fp,'ROI STATISTICS (2D) GLOBAL DATAMIN,MAX=(%.2f %.2f)\n\n',GMIN,GMAX);
   fprintf(fp,'%s\n\n',FName);
   fprintf(fp,'PLANE: %d   NRois: %d\n\n',PlaneNo,nr(1));
   
   fprintf(fp,'No.  TYPE      LABEL                     NPX   THR(%%)  ThPX    MX/MN    RMSD  MEAN\n\n');
   
  
   for i= nr(1):-1:1
	
	udata=get(lh(i),'UserData');
	nroi=udata(1);
	roityp=udata(2);
	
	types=strvcat('Rec','Ell','Irr');
	type=types(roityp,:); 
	
	%if roityp == 1, type ='Rec';
  	%  elseif roityp==2, type = 'Ell';
	%  else type= 'Irr';
	%end
	
	labname=sprintf('%.23s',LabNames(nroi,:));
	labid=sprintf('%.5s',LabIds(nroi,:));
	
        [nt me sd ne mn mx]=vp_roifuns('stat',nroi,0);
	[textstr,Message]=sprintf('%-4d %.3s  %.5s %.23s',...
			nroi,type,labid,labname);
	
 %       fprintf(fp,'%.30s',textstr);
        fprintf(fp,'%.42s ',textstr);
	
	fprintf(fp,'%5d  %5d  %5d   %.2f/%.2f  %.2f  %.2f\n',...
			ne,Thresholds(nroi),nt,mx,mn,sd,me);
   end
   
   fprintf(fp,'\n\nDIM ');
   
   fprintf(fp,'%d %d %d',DIM);
   
   fprintf(fp,' ORIGIN ');
   
   fprintf(fp,'%d %d %d',ORIGIN);
   
   fprintf(fp,' VOX ');
   
   fprintf(fp,'%f %f %f',VOX);
   
   fprintf(fp,'\nROI COORDINATES\n\n');
	
   for i= nr(1):-1:1
	udata=get(lh(i),'UserData');
	nroi=udata(1);
	roityp=udata(2);
	xdata=get(lh(i),'XData');
	ydata=get(lh(i),'YData');
	
	if roityp == 1, type ='re';
	   
	  x0=xdata(1) ; y0=ydata(1);
	  xr=xdata(3) ; yr=ydata(3);
	  
  	elseif roityp==2, type = 'el';
	
	  x0=udata(3) ; y0=udata(4);
	  xr=udata(5) ; yr=udata(6);
	  r2=udata(7) ;
	  
	else type= 'ir';
	
	  len=length(xdata);
	  x0=xdata(1) ; y0=ydata(1);
	  
	end
	
	fprintf(fp,'%s %.5s ',type,LabIds(nroi,:));
		%fprintf(fp,'%.3f %.3f %.3f %.3f\n',x0,y0,xr,yr);
		%fprintf(fp,'%.3f %.3f %.3f %.3f %.3f\n',x0,y0,xr,yr,r2);
		%fprintf(fp,'%.3f %.3f %d ',x0,y0,len);
		  %fprintf(fp,' %.3f %.3f',xdata(j)-x0, ydata(j)-y0);
	if roityp == 1,
		fprintf(fp,'%.4f %.4f %.4f %.4f\n',x0,y0,xr,yr);
		
	elseif roityp == 2,
		fprintf(fp,'%.4f %.4f %.4f %.4f %.4f\n',x0,y0,xr,yr,r2);
	elseif roityp == 3,
		fprintf(fp,'%.4f %.4f %d ',x0,y0,len);
		for j= 1:len
		  fprintf(fp,' %.4f %.4f',xdata(j)-x0, ydata(j)-y0);
		end
		fprintf(fp,'\n');
	end
	
   end
   
	
   %out1 = vp_roirpt('close',fp);
   out1 = fclose(fp) ;
   if out1 ~= 0, Message=['SAVE REPORT: fclose error']; return; end;
   
   if out1 == 0,
   	Message=['REPORT SAVED ' in1];
   end
    
end
