% vp_roithresh
%_______________________________________________________________________
% vp_roithresh.m  		C.0 Phoebe Spetsieris  Feb. 16 1999
% Read Roi Threshold

function [out1] = vp_roithresh()

global ActRoi RoiTyp LabIds LabNames Picking Thresholds
global PreThresh RoiThresh

TxColor=[0.8 0.2 1];
%Picking='OFF';
      
	
% Blink off other rois
	lh=findobj('Tag','roi');
	nr=size(lh);
	for i=(1:nr(1))
		if lh(i)~=gco
    			set(lh(i),'Color',[1 1 1],'LineWidth',[0.5]);
		end
	end
%	udata=get(hand,'UserData');
%	ActRoi=udata(1)
	
%	hroigui=findobj('Name','gROIgui');
%	set(hroigui,'Visible','off'); 
       
	delete(findobj('Name','ReThresh'));
	
        hthr = figure('Color','w','Name','ReThresh',...
	'NumberTitle','off','Position',[300,200,270,100],...
	'UserData',[ActRoi PreThresh RoiThresh],...
	'Units','Pixels','Visible','on');
	
	axis off;
	
        textstr=strcat('No. ',num2str(ActRoi));
	if RoiTyp == 'e', type ='Elliptical';
	elseif RoiTyp=='r', type = 'Rectangular';
	else type= 'Irregular';
	end
        textstr=['No. ',num2str(ActRoi),'  ',type];
	text(0.0,.96, textstr,...
	'FontName','Times','FontSize',10,...
	'VerticalAlignment','Middle',...
	'HorizontalAlignment','Left',...
	'Color',TxColor);

	labname=deblank(LabNames(ActRoi,:));
	labid=deblank(LabIds(ActRoi,:));
	textstr=['Label :   ',labid,'    ',labname];
	text(0.0,.78, textstr,...
	'FontName','Times','FontSize',10,...
	'VerticalAlignment','Middle',...
	'HorizontalAlignment','Left',...
	'Color',TxColor);
	
        [nt mn sd]=vp_roifuns('stat',ActRoi,0);
	textstr=['Nt: ',num2str(nt),' Mean: ',...
		num2str(mn),' StDev: ',num2str(sd)];
	text(0.0,.60, textstr,...
	'FontName','Times','FontSize',10,...
	'VerticalAlignment','Middle',...
	'HorizontalAlignment','Left',...
	'Color',TxColor);
	
	
	textstr=['Thresh: ',num2str(PreThresh), '   Reset to: ',...
		num2str(RoiThresh)] ;
	text(0.0,.42, textstr,...
	'FontName','Times','FontSize',10,...
	'VerticalAlignment','Middle',...
	'HorizontalAlignment','Left',...
	'Color',TxColor);
	
	uicontrol(hthr,'String','MAP',...
	 'Position',[35 10 55 20],...
	 'CallBack',['udata=get(gcbf,''UserData'');',... 
	 'vp_roimap(''display'',udata(1)); ']);
	
%	uicontrol(hthr,'String','RESET',...
%	'Position',[35 10 55 20],...
%	'CallBack',['set(findobj(''Name'',''gROIgui''),''Visible'',''on''); ',...
%	'Thresholds(get(findobj(''Name'',''ReThresh''),'UserData'))=PreThresh;',...
%	'delete(findobj(''Name'',''ReThresh''));',...
%	'Picking=''ON''; vp_aniroi stop;'] );
	
%	'ActRoi, Thresholds(ActRoi)=RoiThresh, delete(findobj(''Name'',''ReThresh''));'
      
	uicontrol(hthr,'String','RETURN',...
	'Position',[160 10 55 20],...
	'CallBack',['set(findobj(''Name'',''gROIgui''),''Visible'',''on''); ',...
	'Picking=''ON''; vp_aniroi stop;',...
	'delete(findobj(''Name'',''ReThresh''));'] );
	
%	'ActRoi, Thresholds(ActRoi)=PreThresh, '
	
       
	



