function vp_scrncolor(fig)
% Set screen background color and default
%_______________________________________________________________________
% vp_scrncolor allows the user to reset the screen (image figure)
% background color by keying 3 values [0-1] for Red Green and Blue.
% The current color values (default) are displayed.
%_______________________________________________________________________
% vp_scrncolor		ScAnVP	5.0	P. Spetsieris	2/11/03
% 			Rev. ScAnVP.5.9	P. Spetsieris	4/03/08

global BkgColor
	
 col=get(fig,'color');
 col=vp_keyin('Key in 3 values [0-1] for screen color R G B ',num2str(col));
 if ~isempty(col), set(fig,'color',str2num(col)); BkgColor=str2num(col); end;
