% vp_tapergui.m
% Get tapering factor for gismap fill in
%__________________________________________________________________________
% vp_tapergui.m	C.4.6 	P. Spetsieris	 Dec. 15, 2000

global TaperFactor
global herror Message Ecolor 

global TaperFactor herror hslider FILLType


tapergui=findobj('Name','tapergui');
if ~isempty(tapergui)
	if(strcmp(get(tapergui,'Visible'),'on'))
		figure(tapergui);
	end
	return
end



Message0=['MSG: ............................................ '];
Message=Message0;

frmcolor=[0.5 0.7 0.8];

tapergui = figure('Color',frmcolor,'Name','tapergui',...
'NumberTitle','off','Position',[100,370,260,85],...
'Units','Pixels');
	
Bcolor = [.8,1,1];


cbTaperFactor=['TaperFactor=str2num(get(hTaperFactor,''string'')); ',...
	['if(TaperFactor >= 0) & (TaperFactor <= 100 ),',...
	'Message=Message0; set(hslider,''Value'',TaperFactor);',...
	'else, Message=''Error: Tapering Factor Out of Bounds''; end; '],...
		'set(herror,''string'',['' '',Message]);'];

cbSliTaperFactor=['TaperFactor=ceil(get(gco,''Value''));, set(hTaperFactor,''string'',TaperFactor);',...
	['if(TaperFactor < 0) | (TaperFactor > 100) Message=''Error: Tapering Factor Out of Bounds'';',...
	'else Message=Message0; end; '],...
		'set(herror,''string'',['' '',Message]);'];

uicontrol(tapergui,'Style','text','string', 'Tapering Factor 0-100',...
	'position',[10 55 100 20],'BackgroundColor',frmcolor);
	
hslider=uicontrol(tapergui,'Style','slider', 'Position', [10 35 200 25], 'Min',0,'Max',100,...
	'Value',TaperFactor,'Callback',cbSliTaperFactor);
	
hTaperFactor=uicontrol(tapergui,'style','edit','string',TaperFactor,...
	'position',[210 35 40 25],'BackgroundColor',Bcolor,'callback',cbTaperFactor);

%herror = uicontrol(tapergui,'string', ['MSG: ..............................'],...
%	'position',[10 10 170 25],...
%	'CallBack',['set(herror,''string'',['' '',Message]);'],...
%	'BackgroundColor',Ecolor);

%if(exist('findobj(''name'',''GIS MAP'')')),
%  uicontrol(tapergui,'String','DISPLAY',...
%	'Position',[10 10 70 25],...
%	'CallBack',['in=get(findobj(''name'',''GIS MAP''),''UserDATA'');',...
%	'vp_gismap(''display'',in(1),1); delete(gcbf);']);
%end;

uicontrol(tapergui,'String','RETURN',...
	'Position',[180 10 70 25],...
	'CallBack',['if TaperFactor >= 0 & TaperFactor <=100, delete(gcbf); ',...
	'else, Message=''Error: Tapering Factor Out of Bounds''; set(herror,''string'',Message); end;']);
	
