%
% vp_windows.m  		C.0 Phoebe Spetsieris  Oct., 1998
% Set the image windows axes
%_______________________________________________________________________

global SSize  WndSize

%DeviceWidth=512; DeviceHeight=512;
DeviceWidth=530; DeviceHeight=530;
%Xpos0=20;

Ypos0=49;
Xpos0=49;

WndSize=[128,256,512,512];

FI = figure('Color',[0 0 1]*.8,...
	'Name','IMAGE FRAME',...
	'NumberTitle','off',...
	'Position',[MenuWid+20,(SSize(4)-DeviceHeight)/2-Xpos0,DeviceWidth+(2*Xpos0),DeviceHeight+(2*Ypos0)],...
	'Resize','on',...
	'Tag','ScAnVP Windows',...
	'Units','Pixels',...
	'Pointer','Cross',...
	'Visible','on');

%AxS=axes('Position',[.1 .1 .8 .8],'Visible','Off');		% STRIPE
AxS=axes('Position',[.1 .12 .85 .8],'Visible','Off');		% STRIPE
AxI04=axes('Position',[0 0 1 1],'Visible','Off') ;		% FULL WINDOW
AxI02=axes('Position',[.25 .25 .5 .5],'Visible','Off');		% 256x256 WINDOW
AxI01=axes('Position',[.375 .375 .25 .25],'Visible','Off');	% 128x128 WINDOW

FrmWid=2;
WinFormat=3;

for WndScl=1:2

 if WndScl==2, WinFormat=2;  Xpos0=0; Ypos0=0; end;
 Xpos=Xpos0;
 Ypos=Ypos0;
 WndWid = 128*WndScl;
 WndHgt = 128*WndScl;

 %AxOr=zeros(WinFormat,WinFormat,2);
 AxOr=zeros(WinFormat*WinFormat,2);
 for i=1:WinFormat
 
  for j=1:WinFormat
    WndNo= (i-1)*WinFormat + j ;
%   [AxOr(i,j,1), AxOr(i,j,2)]=vp_axorigin(Xpos,Ypos,WndWid,WndHgt,DeviceWidth,DeviceHeight);
    [AxOr(WndNo,1), AxOr(WndNo,2)]=vp_axorigin(Xpos,Ypos,WndWid,WndHgt,DeviceWidth,DeviceHeight);
%   AxI(i,j)=axes('Position',[AxOr(i,j,1) AxOr(i,j,2) WndWid/DeviceWidth WndHgt/DeviceHeight],'Visible','Off');
    AxI(WndNo)=axes('Position',[AxOr(WndNo,1) AxOr(WndNo,2) WndWid/DeviceWidth WndHgt/DeviceHeight],'Visible','Off');
    %text(.1, .9, [num2str(WndNo)]);
    Xpos = Xpos + WndWid + FrmWid;
  end; % for j
  
  Xpos = Xpos0;
  Ypos = Ypos + WndHgt + FrmWid;
 end; % for i
 
 if WndScl==1, AxOr1=AxOr; AxI1=AxI ;
 else AxOr2=AxOr; AxI2=AxI ; end ; % for if WndScl

end ; % for WndScl

